v1.0.0
OpenAPI 3.1.0

Delete a collection

US region

Client Libraries

Delete a collection

Remove a collection and associated contents. Before you delete a collection, make sure that you aren't referencing it in active campaign messages or broadcasts; references to a deleted collection will appear empty and may prevent your messages from making sense to your audience.

Path Parameters
  • collection_id
    Type: integer
    required

    The identifier for a collection.

Responses
  • 204

    The collection is deleted.

  • 404

    The collection id does not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for delete/v1/collections/{collection_id}
curl https://api.customer.io/v1/collections/1 \
  --request DELETE \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body